
Carrier = __import__("ftb.Carrier")
class Nova(Carrier.Carrier):
    def __init__(self, pShip):
        Carrier.Carrier.__init__(self, pShip)
        LauncherGroup = __import__("ftb.LauncherGroup")
        group = LauncherGroup.LauncherGroup()

        LauncherManager = __import__("ftb.LauncherManager")

	launcher1 = LauncherManager.GetLauncher("Shuttle Bay", pShip)
	group.AddLauncher("Shuttle Bay", launcher1)

	launcher1.AddLaunchable("Shuttle", "ftb.friendlyAI", 2)
	launcher1.AddLaunchable("type9", "ftb.friendlyAI", 2)

        launcher = LauncherManager.GetLauncher( "Shuttle Bay 2", pShip)
        group.AddLauncher( "Shuttle Bay 2", launcher)
        launcher.AddLaunchable( "Waverider", "ftb.friendlyAI", 1)

	self.AddLauncher("Group 1", group)
	self.dShuttleToBay = {"Waverider": "Shuttle Bay 2"}

 # Define how much Shuttles we can carry maximal (Return Shuttles script)
    def GetMaxShuttles(self):
    	return 30
    # Don't use the following Tractors to Dock:
    def IgnoreTractors(self):    	
    	return ["Aft Tractor", "Forward Tractor"]

ShipManager = __import__("ftb.ShipManager")
ShipManager.RegisterShipClass("Nova", Nova)